#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  gst-libav-1.18.3

- Next

  id3lib-3.8.3

- Up
- Home

# gstreamer-vaapi-1.18.3

## Introduction to gstreamer-vaapi

The gstreamer-vaapi package contains a gstreamer plugin for hardware accelerated video decode/encode for the prevailing coding standards today (MPEG-2, MPEG-4 ASP/H.263, MPEG-4 AVC/H.264, and VC-1/VMW3).

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://gstreamer.freedesktop.org/src/gstreamer-vaapi/gstreamer-vaapi-1.18.3.tar.xz

- Download MD5 sum: 58923dbed8016bfefe11edf9f9fc06a0

- Download size: 764 KB

- Estimated disk space required: 16 MB

- Estimated build time: 0.2 SBU

### gstreamer-vaapi Dependencies

#### Required

GTK+-3.24.25, gstreamer-1.18.3, gst-plugins-base-1.18.3, gst-plugins-bad-1.18.3, and libva-2.10.0

#### Optional

hotdoc

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/gstreamer10-vaapi

## Installation of gstreamer-vaapi

### Note

If you do not have an Objective-C compiler installed, the build system for this package will emit a warning about a failed sanity check. This is harmless, and it is safe to continue.

Install gstreamer-vaapi by running the following commands:

    mkdir build &&
    cd    build &&

    meson  --prefix=/usr       \
           -Dbuildtype=release \
           -Dpackage-origin=http://www.linuxfromscratch.org/blfs/view/svn/ &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Contents

Installed Programs: None
Installed Library: libgstvaapi.so
Installed Directory: None

Last updated on 2021-02-21 15:09:04 -0800

- Prev

  gst-libav-1.18.3

- Next

  id3lib-3.8.3

- Up
- Home